function DimensionOmni4(scale)

% ROBOT_DIMENSION(scale) loads robot physical parameters.
%   scale = scale to be used to plot the robot. Default values are in
%   meters.
load('Omni4Dimensions.mat')
if nargin < 1
    scale = 1;
end 

global Omni4


% 1 m de largo.
% 0.5 m de ancho
Omni4.platformVertices=PlatformOmni4.vertices';
Omni4.platformFaces=PlatformOmni4.faces;

Omni4.platformfVertices=PlatformFront.vertices';
Omni4.platformfFaces=PlatformFront.faces;

%0.15 m radio
Omni4.wheelVertices=wheelOmni4.vertices';
Omni4.wheelFaces=wheelOmni4.faces;

Omni4.wheelbVertices=wheelOmnib4.vertices';
Omni4.wheelbFaces=wheelOmnib4.faces;

